kpasswd                    AFS Commands                 kpasswd


NAME

   kpasswd -- change password in Authentication Database.


   kpasswd [-x]  [-principal <user name>]
   [-password <user's current password>]
   [-newpassword <user's new password>]  [-cell <cell name>]
                                       +
   [-servers <explicit list of servers> ]  [-pipe]  [-help]

ACCEPTABLE ABBREVIATIONS/ALIASES

   kpasswd [-x]  [-pr <user name>]  [-pa <user's password>]
   [-n <user's new password>]  [-c <cell name>]  [-s <explicit
                   +
   list of servers> ]
   [-pi]  [-h]

DESCRIPTION

   Changes   password  for  indicated  user  in  Authentication
   Database.  By default, the change occurs in the local cell's
   Authentication  Database  for the user logged into the local
   machine's UNIX file system.

   The issuer (or user indicated with -principal) does not have
   to  appear  in  the  local  password  file  (/etc/passwd  or
   equivalent) to issue this command; in previous  versions  of
   this  command,  users had to add the -x flag if they did not
   appear in that file.

ARGUMENTS

   -x              appears only  for  backwards  compatibility.
                   Its  former  function  is  now  the  default
                   behavior of this command,  as  mentioned  in
                   the DESCRIPTION section.

   -principal      names  the  Authentication Database entry in
                   which to  change  the  password.    If  this
                   argument  is  omitted,  the change is in the
                   entry of the person logged  into  the  local
                   machine's UNIX file system.

   -password       specifies  the  current password.  It is NOT
                   recommended that  the  issuer  provide  this
                   argument  on  the  command  line.   If it is
                   omitted, the new password  is  prompted  for
                   and does not echo visibly:

                   Old password: <user's password>

   -newpassword    specifies   the   new  password,  which  the
                   kpasswd command interpreter converts into an
                   encryption  key  (string  of  octal numbers)
                   before  sending  it  to  the  Authentication
                   Server    for    storage   in   the   user's
                   Authentication Database entry.   Unlike  the
                   UNIX   passwd   command,  kpasswd  does  not
                   restrict  passwords  to  8  characters;   it



                   accepts  passwords  of virtually any length.
                   All  AFS  commands  that  require  passwords
                   (klog,  the  kas suite, kpasswd, and the AFS
                   version  of  login)  can  handle   passwords
                   longer  than  8 characters, but some non-AFS
                   programs cannot.  This is a consideration if
                   non-AFS programs handle AFS passwords in the
                   local environment.

                   It  is  NOT  recommended  that  the   issuer
                   provide  this  argument on the command line.
                   If it is omitted, it  is  prompted  for  and
                   does not echo visibly:

                   New password (RETURN to abort): <new pas
                   Retype new password: <new password>

   -cell           specifies  the  cell  in which to change the
                   password, by directing the command  to  that
                   cell's  Authentication Servers.  By default,
                   the command is executed in the  local  cell,
                   as  defined in /usr/vice/etc/ThisCell on the
                   client  machine  on  which  the  command  is
                   issued.  The issuer may abbreviate cell name
                   to the shortest form that  distinguishes  it
                   from    the    other    cells    listed   in
                   /usr/vice/etc/CellServDB   on   the   client
                   machine on which the command is issued.

   -servers        causes  the command interpreter to establish
                   a connection with the Authentication  Server
                   running  on  each  specified database server
                   machine.  It then chooses one  of  these  at
                   random  to  execute the command.  The issuer
                   may  abbreviate  the  machine  name  to  the
                   extent the cell's name server will accept.

                   By    default,   the   command   interpreter
                   establishes a connection with  each  machine
                   listed  for  the indicated cell in the local
                   workstation's            copy             of
                   /usr/vice/etc/CellServDB,  and  then chooses
                   one  of  those   at   random   for   command
                   execution.

                   This  option  is useful for testing specific
                   servers if problems are encountered.

   -pipe           indicates  that  the  command   should   run
                   without  printing  anything  on  the screen,
                   including prompts or error  messages.    The
                   kpasswd   command   interpreter  expects  to
                   receive all necessary arguments, each  on  a
                   separate  line, from standard input (stdin).
                   The issuer  is  discouraged  from  including
                   this  argument; it is for use by application
                   programs rather than human users.

   -help           prints the online help for this command.  Do
                   not  provide  any  other  arguments or flags
                   with this one.



EXAMPLE

   The following shows the typical use of  this  command,  when
   the issuer wishes to change his or her own password.

       % kpasswd
       Changing password for 'user' in cell 'cellname'.
       Old password:
       New password (RETURN to abort):
       Verifying, please re-enter new_password:

PRIVILEGE REQUIRED

   Issuer must provide correct current password.

MORE INFORMATION

   klog

   kas setpassword
